import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostSetSettings } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostSetArchiveMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostSetSettings, ResponseType>({
    mutationKey: chatQueryKeys.setArchive(),
    mutationFn: async (data) => {
      const response = await chatApi.setArchive(data);
      return response.data;
    }
  });
};
